Package: java.util

## [Java] Interface NavigableSet

-     public interface NavigableSet

  GDK enhancements for NavigableSet.

  displayName:
    NavigableSet
  receiverFqcn:
    java.util.NavigableSet

- - ### Methods Summary

    Methods
    Type Params | Return Type | Name and description
    --- | --- | ---
    `<T>` | `public NavigableSet<T>` | `asChecked(Class<T> type)` Creates a checked view of a NavigableSet.
    `<T>` | `public NavigableSet<T>` | `asReversed()` Creates a reverse order view of the set.
    `<T>` | `public NavigableSet<T>` | `asSynchronized()` Creates a synchronized view of a NavigableSet.
    `<T>` | `public NavigableSet<T>` | `asUnmodifiable()` Creates an unmodifiable view of a NavigableSet.
    `<T>` | `public NavigableSet<T>` | `reverseEach(Closure closure)` Iterate over each element of the set in reverse order.

- - ### Method Detail

    - #### <T> public NavigableSet<T> asChecked(Class<T> type)

      Creates a checked view of a NavigableSet.

      See Also:
        Collections.checkedNavigableSet
      Since:
        5.0.0

    - #### <T> public NavigableSet<T> asReversed()

      Creates a reverse order view of the set. The order of original list will not change.

           TreeSet navSet = [2, 4, 1, 3]  // natural order is sorted
           assert navSet.asReversed() == [4, 3, 2, 1] as Set

      Type Parameters:
        `T` - the type of element
      Returns:
        the reversed view NavigableSet
      Since:
        4.0.11

    - #### <T> public NavigableSet<T> asSynchronized()

      Creates a synchronized view of a NavigableSet.

      Returns:
        a synchronized NavigableSet
      See Also:
        Collections.synchronizedNavigableSet
      Since:
        5.0.0

    - #### <T> public NavigableSet<T> asUnmodifiable()

      Creates an unmodifiable view of a NavigableSet.

      Returns:
        an unmodifiable view of the NavigableSet
      See Also:
        Collections.unmodifiableNavigableSet
        asUnmodifiable(java.util.List)
      Since:
        5.0.0

    - #### <T> public NavigableSet<T> reverseEach(Closure closure)

      Iterate over each element of the set in reverse order.

           TreeSet navSet = [2, 4, 1, 3]  // natural order is sorted
           List result = []
           navSet.reverseEach { result << it }
           assert result == [4, 3, 2, 1]

      Parameters:
        `closure` - a closure to which each item is passed.
      Returns:
        the original NavigableSet
      Since:
        4.0.11